hmLoadTopic({
hmKeywords:"",
hmTitle:"Bookmarks",
hmDescription:"Bookmarks are Adobe-speak for subsection headings, also known as table of contents entries, which are \"active\" in that they allow the user to navigate the PDF document by...",
hmPrevLink:"usinggdiprintdirectives.htm",
hmNextLink:"explicit_bookmark_template.htm",
hmParentLink:"gdiprintdirectives.htm",
hmBreadCrumbs:"<a href=\"gdiprintdirectives.htm\">GDI Print Directives<\/a>",
hmTitlePath:"GDI Print Directives > Bookmarks",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Bookmarks<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_AParai0sa\"><span class=\"f_AParai0sa\">Bookmarks are Adobe-speak for subsection headings, also known as table of contents entries, which are &quot;active&quot; in that they allow the user to navigate the PDF document by clicking on the bookmarks. When documents are large, well-designed, outline-oriented and organized well, bookmarks are quite valuable. Individual non-hierarchical bookmarks can also be helpful in medium size documents to help locate points of specific interest, perhaps tailored to specific readers. Bookmarks are not particularly valuable in small documents.<\/span><\/p>\n\r<p class=\"p_AParai0sa\"><span class=\"f_AParai0sa\">In addition to the typical <\/span><span class=\"f_AParai0sa\" style=\"font-style: italic;\">attribute,value<\/span><span class=\"f_AParai0sa\"> properties controlling the behavior, you also have to define a template for each bookmark type that defines how it is identified and displayed. Defining these templates requires many more parameters than can be accommodated by the <\/span><span class=\"f_AParai0sa\" style=\"font-style: italic;\">attribute,value<\/span><span class=\"f_AParai0sa\"> property paradigm. There are two approaches to dealing with this requirement: <\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0.5000rem 1.5000rem;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.5000rem\"><span class=\"f_Listi1\">•<\/span><\/td><td style=\"border:none;padding:0\"><span class=\"f_Listi1\">manually, using the built-in driver dialogs to specify text attributes such as font, size, style, to be recognized by the driver at rendering time for automatic bookmark creation (see <\/span><span class=\"f_Hyperlink\"><a href=\"using_pdf-xchange_directly.htm\" class=\"topiclink\">Using PDF-Xchange Directly<\/a><\/span><span class=\"f_Listi1\">). This method suffers from the impracticality of having to manually pre-configure the driver properties on each workstation, and so is not recommended. (But under PDFXv3, it was the only option.)<\/span><\/td><\/tr><\/table><\/div>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0.5000rem 1.5000rem;\"><table style=\"border:none;border-spacing:0;padding:0;line-height: normal;\"><tr style=\"vertical-align:baseline\"><td style=\"border:none;padding:0;width:1.5000rem\"><span class=\"f_Listi1\">•<\/span><\/td><td style=\"border:none;padding:0\"><span class=\"f_Listi1\">programmatically, by inserting special directives into the document. <\/span><\/td><\/tr><\/table><\/div>\n\r<p class=\"p_AParai0sa\"><span class=\"f_AParai0sa\">The following directives apply to all types of bookmarks, regardless of how they are defined—i.e. manually in the driver dialogs as described above, or using the template definition directives described in the next two sections. At a minimum, you need to set the Bookmarks.Enable property, else the template definitions and explicit inserts will be ignored.<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 1.5625rem;\"><table style=\"width:43.8125rem; border:solid 0.1250rem #000000; border-spacing:0; border-collapse:collapse;\">\n\r<thead>\n\r<tr>\n\r<th style=\"vertical-align:top; width:5.0000rem; background-color:#D9D9D9; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2headcen\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Table2headcen\">Symbol<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:top; width:7.5625rem; background-color:#D9D9D9; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2headcen\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Table2headcen\">Values<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:top; width:24.0625rem; background-color:#D9D9D9; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2headcen\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Table2headcen\">Description<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:top; width:3.0625rem; background-color:#D9D9D9; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2headcen\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Table2headcen\">PDFXv3<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<\/thead>\n\r<tbody>\n\r<tr>\n\r<td style=\"vertical-align:middle; width:5.0000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Print<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; width:7.5625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">0, 1<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:middle; width:24.0625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Enables or disables analyzing of bookmarks for the document during printing.<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:middle; width:3.0625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(same)<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:middle; width:5.0000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Multiline<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; width:7.5625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">0, 1<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:middle; width:24.0625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Enables or disables multi-line bookmarks recognition.<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:middle; width:3.0625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(same)<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:middle; width:5.0000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">MatchLevel<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; width:7.5625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">0, 1<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:middle; width:24.0625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Enables or disables Matchlevel in bookmarks recognition.<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:middle; width:3.0625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(same)<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:middle; width:5.0000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">DisplayMode<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; width:7.5625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">0 <\/span><br \/>\n\r<span class=\"f_Table2bodyleft\">1 (&quot;AllClosed&quot;)<\/span><br \/>\n\r<span class=\"f_Table2bodyleft\">2 (&quot;ByItem&quot;)<\/span><br \/>\n\r<span class=\"f_Table2bodyleft\">3 (&quot;UpToNodeLevel&quot;)<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:middle; width:24.0625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Defines how the bookmarks tree will be displayed when document will be opened. *<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:middle; width:3.0625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(same)<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:middle; width:5.0000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">UpToLevel<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; width:7.5625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">1 - 99<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:middle; width:24.0625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Defines to which node level the bookmarks tree will be opened and has meaning only when <\/span><span class=\"f_a1Sample\">Bookmarks.DisplayMode<\/span><span class=\"f_Table2bodyleft\"> has a value. i.e. a value of \'2\' would open the top level and all immediate child bookmarks only. <\/span><span class=\"f_a1Sample\">UpToNodeLevel<\/span><span class=\"f_Table2bodyleft\">.<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:middle; width:3.0625rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(same)<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/tbody>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_AParai1sa\"><span class=\"f_AParai1sa\">Note that <\/span><span class=\"f_AParai1sa\" style=\"font-style: italic;\">Values<\/span><span class=\"f_AParai1sa\"> enclosed in quotes are valid values.<\/span><\/p>\n\r<p class=\"p_Label4\"><span class=\"f_Label4\">Comments<\/span><\/p>\n\r<p class=\"p_AParai0sa\"><span class=\"f_AParai0sa\">* The alternate name for DisplayMode 0 was supposed to be “AllOpened”, but it was not supported in the driver as of version 5.5.312.1 (but the numeric equivalent, 0, works) <\/span><\/p>\n\r<p class=\"p_Label4\"><span class=\"f_Label4\">Compatibility<\/span><\/p>\n\r<p class=\"p_AParai0sa\"><span class=\"f_AParai0sa\">Supported in both PDFXv3 and PDFXv5+, but PDFXv5+ adds the ability to define the bookmark templates in the document (see next topics).<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r"
})
