hmLoadTopic({
hmKeywords:"",
hmTitle:"DocInfo",
hmDescription:"These variables all relate to the properties that one may—but is not required to—associate with a document: title, subject, author, creator and a variable number of keywords....",
hmPrevLink:"digisig.htm",
hmNextLink:"email.htm",
hmParentLink:"gdiprintdirectives.htm",
hmBreadCrumbs:"<a href=\"gdiprintdirectives.htm\">GDI Print Directives<\/a>",
hmTitlePath:"GDI Print Directives > DocInfo",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">DocInfo<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_AParai0sa\"><span class=\"f_AParai0sa\">These variables all relate to the properties that one may—but is not required to—associate with a document: title, subject, author, creator and a variable number of keywords. Although the variables and values in this category appear straightforward, they are actually a little tricky because of a non-obvious hierarchy of precedence. If you set <\/span><span class=\"f_a1Param\">Info.Ask<\/span><span class=\"f_AParai0sa\"> to yes (1), then a dialog box will dutifully pop up and ask the user for title, subject, etc. However, the values entered by the user will be overridden by the values entered via the GDI directives for <\/span><span class=\"f_a1Param\">Info.Title<\/span><span class=\"f_AParai0sa\">, <\/span><span class=\"f_a1Param\">Info.Subject,<\/span><span class=\"f_AParai0sa\"> etc, if they are present. In other words, the values entered by the user will only be used in the PDF document if there is no corresponding GDI directive.<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 1.5625rem;\"><table style=\"width:42.6250rem; border:solid 0.1250rem #000000; border-spacing:0; border-collapse:collapse;\">\n\r<thead>\n\r<tr>\n\r<th style=\"vertical-align:top; width:5.5000rem; background-color:#D9D9D9; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2headcen\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Table2headcen\">Name<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:top; width:3.2500rem; background-color:#D9D9D9; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2headcen\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Table2headcen\">Values<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:top; width:27.5000rem; background-color:#D9D9D9; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2headcen\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Table2headcen\">Description<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:top; width:2.8125rem; background-color:#D9D9D9; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2headcen\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Table2headcen\">PDFX3<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<tr>\n\r<th style=\"vertical-align:middle; width:5.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Enabled<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:3.2500rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodycen\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodycen\">Boolean<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:27.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">If this property is False, no information fields will be specified within the PDF document except the Producer field, which is always specified and contains the PDFX version information for the creation of this PDF file. Default = True<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:2.8125rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Use<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<tr>\n\r<th style=\"vertical-align:middle; width:5.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">AskForDocInfo<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:3.2500rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodycen\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodycen\">Boolean<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:27.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">If this option is True, a popup window where Document information fields can be entered will be shown after the document is spooled. Default = False<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:2.8125rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Ask<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<tr>\n\r<th style=\"vertical-align:middle; width:5.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">AddXMP<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:3.2500rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodycen\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodycen\">Boolean<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:27.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">If this option is True, XMP metadata will be added within the PDF document. This metadata will contain values of information fields, date of document creation etc. Note that when PDF\/A mode used, XMP metadata will be added into the document regardless of the value of this property and Enabled property. Default = False<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:2.8125rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(No V3)<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<tr>\n\r<th style=\"vertical-align:middle; width:5.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Title<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:3.2500rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodycen\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodycen\">String<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:27.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Specifies the Title information field of the document. Default = empty string<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:2.8125rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(same)<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<tr>\n\r<th style=\"vertical-align:middle; width:5.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Subject<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:3.2500rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodycen\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodycen\">String<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:27.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Specifies the Subject information field of the document. Default = empty string<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:2.8125rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(same)<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<tr>\n\r<th style=\"vertical-align:middle; width:5.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Author<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:3.2500rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodycen\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodycen\">String<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:27.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Specifies the Author information field of the document. Default = empty string<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:2.8125rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(same)<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<tr>\n\r<th style=\"vertical-align:middle; width:5.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Keywords<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:3.2500rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodycen\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodycen\">String<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:27.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Specifies the Keywords information field of the document. Keywords should be comma separated. Default = empty string<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:2.8125rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(same)<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<tr>\n\r<th style=\"vertical-align:middle; width:5.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Creator<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:3.2500rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodycen\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodycen\">String<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:27.5000rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">Specifies the Creator information field of the document. Default = empty string<\/span><\/p>\n\r<\/th>\n\r<th style=\"vertical-align:middle; width:2.8125rem; padding:0.2500rem; border:solid thin #000000;\"><p class=\"p_Table2bodyleft\" style=\"page-break-inside: avoid;\"><span class=\"f_Table2bodyleft\">(same)<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<\/thead>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_AParai0zsf\"><span class=\"f_AParai0zsf\">&nbsp;<\/span><\/p>\n\r<p class=\"p_AParai0zsf\"><span class=\"f_AParai0zsf\">&nbsp;<\/span><\/p>\n\r<p class=\"p_Label4\"><span class=\"f_Label4\">Examples<\/span><\/p>\n\r<p class=\"p_AParai0sa\"><span class=\"f_AParai0sa\">The following tells Acrobat to not ask the user to provide properties info, to set the author to &quot;George Author,&quot; and to ignore the rest of the properties options (because of the semicolon after the double slash).<\/span><\/p>\n\r<p class=\"p_SampleP1zsf\"><span class=\"f_SampleP1zsf\">\/\/PDFX,DocInfo.Author,&quot;George&nbsp;Author&quot;<\/span><\/p>\n\r<p class=\"p_SampleP1zsf\"><span class=\"f_SampleP1zsf\">\/\/PDFX,DocInfo.Creator,&quot;Henry&nbsp;Creator&quot;<\/span><\/p>\n\r<p class=\"p_SampleP1zsf\"><span class=\"f_SampleP1zsf\">\/\/PDFX,DocInfo.Keywords,&quot;Robert,George,Henry,Peter&quot;<\/span><\/p>\n\r<p class=\"p_SampleP1zsf\"><span class=\"f_SampleP1zsf\">\/\/PDFX,DocInfo.Subject,&quot;Robert&nbsp;Subject&quot;<\/span><\/p>\n\r<p class=\"p_SampleP1zsf\"><span class=\"f_SampleP1zsf\">\/\/PDFX,DocInfo.Title,&quot;Peter&nbsp;Title&quot;<\/span><\/p>\n\r<p class=\"p_SampleP1zsf\"><span class=\"f_SampleP1zsf\">&nbsp;<\/span><\/p>\n\r<p class=\"p_Label4\"><span class=\"f_Label4\">Compatibility<\/span><\/p>\n\r<p class=\"p_AParai0sa\"><span class=\"f_AParai0sa\">The <\/span><span class=\"f_AParai0sa\" style=\"font-style: italic;\">DocInfo<\/span><span class=\"f_AParai0sa\"> property group was known as <\/span><span class=\"f_AParai0sa\" style=\"font-style: italic;\">Info<\/span><span class=\"f_AParai0sa\"> in PDFXv3, e.g. \/\/PDFX,Info.Title. etc. The old property names are automatically converted to the new ones when printing to the PDFXv5+ driver (but not the other way around).<\/span><\/p>\n\r<p class=\"p_AParai0sa\"><span class=\"f_AParai0sa\">Also note that in the standard PDFXv5+ driver, the Enabled property defaults to False. A-Shell overrides the default to True. <\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r"
})
